> ## Documentation Index
> Fetch the complete documentation index at: https://docs.n-3.co.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# Get project appraisals



## OpenAPI

````yaml get /projects/appraisals
openapi: 3.0.0
info:
  title: Naismith Analytics API
  description: The N3 API
  version: '0.1'
  contact: {}
servers: []
security: []
tags: []
paths:
  /projects/appraisals:
    get:
      tags:
        - Projects
      summary: Get the appraisals involved in the project
      operationId: findProjectAppraisals
      parameters:
        - name: projectId
          required: true
          in: query
          schema:
            format: int64
            type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ProjectAppraisalDto'
      security:
        - bearer: []
components:
  schemas:
    ProjectAppraisalDto:
      type: object
      properties:
        id:
          format: int64
          type: integer
        parent_id:
          format: int64
          type: integer
          nullable: true
        input_value:
          type: string
        input_field:
          type: string
        other_input_settings:
          type: array
          items:
            $ref: '#/components/schemas/AppraisalsDto'
        project_cost_inputs:
          type: array
          items:
            $ref: '#/components/schemas/ProjectAppraisalValue'
      required:
        - id
        - input_value
        - input_field
        - other_input_settings
        - project_cost_inputs
    AppraisalsDto:
      type: object
      properties:
        id:
          format: int64
          type: integer
        parent_id:
          format: int64
          type: integer
          nullable: true
        input_value:
          type: string
        input_field:
          type: string
        other_input_settings:
          type: array
          items:
            $ref: '#/components/schemas/AppraisalsDto'
      required:
        - id
        - input_value
        - input_field
        - other_input_settings
    ProjectAppraisalValue:
      type: object
      properties:
        id:
          format: int64
          type: integer
        budget:
          type: number
          nullable: true
        out_turn:
          type: number
          nullable: true
        project_id:
          format: int64
          type: integer
      required:
        - id
        - project_id
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````